org.apache.solr.client.solrj.cloud.autoscaling

## Enum ComputedType

- java.lang.Object
- - java.lang.Enum<ComputedType>
  - - org.apache.solr.client.solrj.cloud.autoscaling.ComputedType

All Implemented Interfaces:
  Serializable, Comparable<ComputedType>

    public enum ComputedType
    extends Enum<ComputedType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALL`
`EQUAL`
`NULL`
`PERCENT`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Object` `compute(Object val, Condition c)`
`String` `match(String val)`
`static ComputedType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ComputedType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.
`String` `wrap(String value)`

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NULL

    public static final ComputedType NULL

#### EQUAL

    public static final ComputedType EQUAL

#### ALL

    public static final ComputedType ALL

#### PERCENT

    public static final ComputedType PERCENT

### Method Detail

#### values

    public static ComputedType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ComputedType c : ComputedType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ComputedType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### match

    public String match(String val)

#### wrap

    public String wrap(String value)

#### compute

    public Object compute(Object val,
                          Condition c)